[Solved] Re: Linux UT2004 w/ Radeon 9800 or 9600 Pro

Jamin W. Collins jcollins at asgardsrealm.net
Mon Mar 29 02:52:07 EST 2004

On Sat, Mar 27, 2004 at 02:37:16PM -0700, Jamin W. Collins wrote:
> This brings me to my problem. Both systems, with their new cards, are
> able to run UT2003 with no problems. Running "glxinfo" indicates that
> DRI is enabled. So, I'm pretty sure I've got the cards configured right.
> However, trying to run UT2004 on either system results in the following
> shortly after the splash screen:
> ------
> $ ut2004
> WARNING: ALC_EXT_capture is subject to change!
> Signal: SIGSEGV [segmentation fault]
> Aborting.
> Crash information will be saved to your logfile.

Well, seems the problem was a the version of X and as a result the
version of the ATI driver.  Upgraded to v4.3.0 of X tonight and
associated 3.7.6 Catalyst driver and now UT2K4 works.  So, with the ATI
drivers it would appear that (on Debian at least) X v4.3.0 is a _must_.

Only oddity remaining is what seems like a rather low reported FPS from
within the game.  However, the game play is smooth.

Jamin W. Collins

This is the typical unix way of doing things: you string together lots
of very specific tools to accomplish larger tasks. -- Vineet Kumar

More information about the ut2004 mailing list